# TiKV Migration Toolset

TiKV migration toolset is a collection of tools about:

- [Online Bulk Load](./online-bulk-load/README.md), for ingesting data from CSV/Parquet files to an online TiKV Cluster without impacting the online service.

- [Spark SST Data Source](./sst-data-source/README.md), enables users to decode SST files generated by [TiKV backup](https://docs.pingcap.com/tidb/stable/use-br-command-line-tool#back-up-raw-kv-experimental-feature) to Key-Value pairs using Spark. See [sst-data-source document](./sst-data-source/README.md) for details.

- [TiKV Change Data Capture (CDC)](./cdc/README.md), captures modifications on key-values in a TiKV cluster, and replicates to another data systems in realtime.

- [TiKV Backup and Restore (BR)](./br/README.md), enables users to backup from and restore data to a TiKV cluster.
