// Copyright 2021 PingCAP, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// See the License for the specific language governing permissions and
// limitations under the License.

package capture

import (
	"testing"

	"github.com/pingcap/errors"
	"github.com/stretchr/testify/require"
	cerror "github.com/tikv/migration/cdc/pkg/errors"
)

func TestIsHTTPBadRequestError(t *testing.T) {
	err := cerror.ErrAPIInvalidParam.GenWithStack("aa")
	require.Equal(t, true, IsHTTPBadRequestError(err))
	err = cerror.ErrAPIInvalidParam.Wrap(errors.New("aa"))
	require.Equal(t, true, IsHTTPBadRequestError(err))
	err = cerror.ErrPDEtcdAPIError.GenWithStack("aa")
	require.Equal(t, false, IsHTTPBadRequestError(err))
	err = nil
	require.Equal(t, false, IsHTTPBadRequestError(err))
}
